Bug 1380352 - Support for sbd configuration is needed in pcs
Summary: Support for sbd configuration is needed in pcs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcs
Version: 6.8
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1164402
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-29 11:38 UTC by Tomas Jelinek
Modified: 2017-03-21 11:04 UTC (History)
12 users (show)

Fixed In Version: pcs-0.9.155-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Configuration of SBD fencing using pcs. Reason: SBD cannot be configured using pcs. Result: It is possible to configure SBD using pcs.
Clone Of: 1164402
Environment:
Last Closed: 2017-03-21 11:04:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0707 normal SHIPPED_LIVE pcs bug fix update 2017-03-21 12:40:33 UTC

Comment 3 Ivan Devat 2016-11-07 15:39:12 UTC
Before Fix:

Sbd not supported.


After Fix:

[vm-rhel67-1 ~] $ rpm -q pcs
pcs-0.9.155-1.el6.x86_64
[vm-rhel67-1 ~] $ pcs stonith sbd status
SBD STATUS
<node name>: <installed> | <enabled> | <running>
vm-rhel67-1: YES |  NO |  NO
vm-rhel67-2: YES |  NO |  NO
[vm-rhel67-1 ~] $ pcs stonith sbd enable
Running SBD pre-enabling checks...
vm-rhel67-1: SBD pre-enabling checks done
vm-rhel67-2: SBD pre-enabling checks done
Distributing SBD config...
vm-rhel67-1: SBD config saved
vm-rhel67-2: SBD config saved
Enabling SBD service...
vm-rhel67-1: sbd enabled
vm-rhel67-2: sbd enabled
Warning: Cluster restart is required in order to apply these changes.
[vm-rhel67-1 ~] $ pcs cluster stop --all && pcs cluster start --all
vm-rhel67-2: Stopping Cluster (pacemaker)...
vm-rhel67-1: Stopping Cluster (pacemaker)...
vm-rhel67-2: Stopping Cluster (cman)...
vm-rhel67-1: Stopping Cluster (cman)...
vm-rhel67-1: Starting Cluster...
vm-rhel67-2: Starting Cluster...
[vm-rhel67-1 ~] $ pcs stonith sbd status
SBD STATUS
<node name>: <installed> | <enabled> | <running>
vm-rhel67-1: YES | YES | YES
vm-rhel67-2: YES | YES | YES
[vm-rhel67-1 ~] $ pcs stonith sbd config
SBD_WATCHDOG_TIMEOUT=5
SBD_STARTMODE=clean
SBD_DELAY_START=no

Watchdogs:
  vm-rhel67-1: /dev/watchdog
  vm-rhel67-2: /dev/watchdog
[vm-rhel67-1 ~] $ pcs cluster stop --all
vm-rhel67-2: Stopping Cluster (pacemaker)...
vm-rhel67-1: Stopping Cluster (pacemaker)...
vm-rhel67-2: Stopping Cluster (cman)...
vm-rhel67-1: Stopping Cluster (cman)...
[vm-rhel67-1 ~] $ pcs stonith sbd disable
Checking corosync is not running on nodes...
vm-rhel67-2: corosync is not running
vm-rhel67-1: corosync is not running
Disabling SBD service...
vm-rhel67-1: sbd disabled
vm-rhel67-2: sbd disabled

Comment 7 errata-xmlrpc 2017-03-21 11:04:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0707.html


Note You need to log in before you can comment on or make changes to this bug.